const express = require('express');
const router = express.Router();
const accountingDocumentController = require('../controllers/accountingDocumentController');
const { authenticateToken } = require('../middlewares/auth');

router.get('/accounting-document', authenticateToken, accountingDocumentController.getAll);
router.get('/accounting-document/:id', authenticateToken, accountingDocumentController.getById);
router.get('/trial-balance', authenticateToken, accountingDocumentController.getTrialBalance);
router.get('/account-ledger/accounts', authenticateToken, accountingDocumentController.getLedgerAccountOptions);
router.get('/account-ledger', authenticateToken, accountingDocumentController.getAccountLedger);
router.get('/credit-note', authenticateToken, accountingDocumentController.getCreditNotes);
router.get('/debit-note', authenticateToken, accountingDocumentController.getDebitNotes);

module.exports = router;

